#ifndef ADC_H
#define ADC_H

#include "stm32f1xx_ll_adc.h"

void ADC_conf(ADC_TypeDef *adc);
void ADC_start(ADC_TypeDef *adc);

uint16_t ADC_readRaw(ADC_TypeDef *adc, int channel);
float ADC_readVolt(ADC_TypeDef *adc, int channel);

float ADC_convertToVolt(uint16_t value);


#endif
